Health Update Manager Query Unmonitored Hosts

Health Update Manager Query Unmonitored Hosts
The set of hosts that are in the cluster, but not monitored by the provider.

The set of hosts that are in the cluster, but not monitored by the provider.

Required privileges: System.View

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/HealthUpdateManager/{moId}/QueryUnmonitoredHosts
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case HealthUpdateManager/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
QueryUnmonitoredHostsRequestType of type(s) application/json
Required

Show optional properties

{
    "providerId": "string",
    "cluster": {}
}
{
    "providerId": "string",
    "cluster": {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
}
string
providerId
Required

The provider id.

cluster
Required

The cluster.

Authentication
This operation uses the following authentication methods.
Responses
200

The hosts in the cluster that are not monitored by the provider.

[
    {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
]
array of object
Optional

Reference to an instance of the HostSystem managed object.


500

NotFound: If no provider with this id is registered.

Returns NotFound of type(s) application/json
This response body class contains all of the following: VimFault
{
    "_typeName": "string",
    "faultCause": {
        "_typeName": "string",
        "faultCause": "MethodFault Object",
        "faultMessage": [
            {
                "_typeName": "string",
                "key": "string",
                "arg": [
                    {
                        "_typeName": "string",
                        "key": "string",
                        "value": {
                            "_typeName": "string"
                        }
                    }
                ],
                "message": "string"
            }
        ]
    },
    "faultMessage": [
        {
            "_typeName": "string",
            "key": "string",
            "arg": [
                {
                    "_typeName": "string",
                    "key": "string",
                    "value": {
                        "_typeName": "string"
                    }
                }
            ],
            "message": "string"
        }
    ]
}

Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"providerId":"string","cluster":"{}"}' https://{api_host}/sdk/vim25/{release}/HealthUpdateManager/{moId}/QueryUnmonitoredHosts